# Generated by Django 4.2.2 on 2023-06-26 10:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Chef',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('specialty', models.CharField(max_length=100)),
                ('work_experience', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Nutrrinfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('calories', models.IntegerField()),
                ('fat', models.FloatField()),
                ('protein', models.FloatField()),
                ('carbohydrates', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='Ingredients',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('nutrrinfo', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='ClaudeMonet.nutrrinfo')),
            ],
        ),
        migrations.CreateModel(
            name='Dish',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('chef', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ClaudeMonet.chef')),
                ('ingredients', models.ManyToManyField(to='ClaudeMonet.ingredients')),
            ],
        ),
    ]
